<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<title>repl.it</title>
	<link href="style.css" rel="stylesheet" type="text/css" />
</head>

<div class="container">
	<form action="#">
		<label for="usrname" >Username</label>
    <input type="text" id="usrname" name="usrname" pattern=".{3,}" required>

    <label for="psw">Password</label>
    <input type="password" id="psw" name="psw" pattern=".{6,}" title="Must contain at least one number and one uppercase and lowercase letter, and at least 8 or more characters" onChange="onChange()" required>

    <label for="cpsw">Confirm Password</label>
    <input type="password" id="cpsw" name="cpsw" pattern=".{6,}" title="Must contain at least one number and one uppercase and lowercase letter, and at least 8 or more characters" onChange="onChange()" required>

    <label for="email" >Email</label>
    <input type="text" id="email" name="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" onChange="eonChange()" required>

    <label for="cEmail" >Confirm Email</label>
    <input type="text" id="cEmail" name="cEmail" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" onChange="eonChange()" required>

    
    <input type="submit" id="submit" value="Submit" onclick="ok()">

  </form>
</div>

<div id="unmessage">
  <h3>username must contain:</h3>
  <p id="unval" class="invalid">Minimum <b>3 characters</b></p>
</div>

<div id="pswmessage">
  <h3>Password must contain the following:</h3>
  <p id="length" class="invalid">Minimum <b>6 characters</b></p>
</div>

<div id="cpswmessage">
  <h3>confirm password</h3>
  <p id="matchpwd" class="invalid">password match ?</p>
</div>

<div id="emailmessage">
  <h3>Format email</h3>
  <p id="emailvalid" class="invalid">email valid ?</p>
</div>

<div id="cemailmessage">
  <h3>Confirm email</h3>
  <p id="cemailvalid" class="invalid">email match ?</p>
</div>

<body>
    <script src="script.js"></script>
  </body>
</html>
